Imports System.Runtime.InteropServices

'declare a structured class with properties
<StructLayout(LayoutKind.Sequential)> _
Public Structure SystemTime
  Public wYear As Short
  Public wMonth As Short
  Public wDayOfWeek As Short
  Public wDay As Short
  Public wHour As Short
  Public wMinute As Short
  Public wSecond As Short
  Public wMiliseconds As Short
End Structure

Public Class SysTime

  'declare the set system time function
  Declare Auto Sub SetSystemTime Lib "Kernel32.dll" _
     (ByRef sysTime As SystemTime)

  'declare the get system time function
  Declare Auto Sub GetSystemTime Lib "Kernel32.dll" _
      (ByRef sysTime As SystemTime)

End Class

Public Class SetGetTime

  Public Shared Sub Main()

    'local scope
    Dim sTimeSet As New SystemTime()
    Dim sTimeGet As New SystemTime()

    'set the properties of our set time instance
    sTimeSet.wYear = 2001
    sTimeSet.wMonth = 8
    sTimeSet.wDayOfWeek = 7
    sTimeSet.wDay = 26
    sTimeSet.wHour = 10
    sTimeSet.wMinute = 30
    sTimeSet.wSecond = 0
    sTimeSet.wMiliseconds = 0

    'call set time
    SysTime.SetSystemTime(sysTime:=sTimeSet)

    'call get time
    SysTime.GetSystemTime(sysTime:=sTimeGet)

    'write time to screen
    Console.WriteLine(sTimeGet.wHour & ":" & sTimeGet.wMinute)

  End Sub

End Class
